"""Product blocks that store information about subscriptions.

In this file, some enumerators may be declared that are available for use across all subscriptions.
"""

from enum import Enum


class PhyPortCapacity(Enum):
    """Physical port capacity enumerator.

    An enumerator that has the different possible capacities of ports that are available to use in subscriptions.
    """

    ONE = "1G"
    """1Gbps"""
    TEN = "10G"
    """10Gbps"""
    HUNDRED = "100G"
    """100Gbps"""
    FOUR_HUNDRED = "400G"
    """400Gbps"""
